document.addEventListener('DOMContentLoaded', () => {
  // Mobile menu toggle
  const mobileMenu = document.querySelector('.mobile-menu');
  const navLinks = document.querySelector('.nav-links');
  
  mobileMenu?.addEventListener('click', () => {
    navLinks.classList.toggle('active');
  });

  // Category card click handler
  const categoryCards = document.querySelectorAll('.category-card');
  
  categoryCards.forEach(card => {
    card.addEventListener('click', () => {
      const category = card.querySelector('h3').textContent;
      window.location.href = `/quizzes?category=${encodeURIComponent(category)}`;
    });
  });

  // Add smooth scroll behavior
  document.querySelectorAll('a[href^="#"]').forEach(anchor => {
    anchor.addEventListener('click', function (e) {
      e.preventDefault();
      document.querySelector(this.getAttribute('href')).scrollIntoView({
        behavior: 'smooth'
      });
    });
  });
});

// Handle user authentication state
const checkAuth = () => {
  const token = localStorage.getItem('mcquiz_token');
  if (token) {
    document.querySelector('.login-btn').textContent = 'Profile';
  }
};

checkAuth();
